Subject: Re: Help needed for solving a few issues with building git

From: Kaartic Sivaraam <[email-masked]>
Date: Wed, 05 Jul 2017 22:36:36 +0530

On Wed, 2017-07-05 at 01:30 +0530, Kaartic Sivaraam wrote:
> I tried pointing it to the installed location, it doesn't seem to be
> working. To elaborate a little on what I did,
> 
>         * I installed the "libcurl4-openssl-dev" package b
>         * I found that the 'include' directory to be present  at
>         '/usr/include/x86_64-linux-gnu/curl'. I wasn't sure if
>         '/usr/lib/x86_64-linux-gnu/' is the corresponding library
>         directory. 
>         * I took the common parent of both '/usr' and ran the
> following 
>           commands to build 'git'
> 
>             $ make CURLDIR=/usr prefix=/custom/location
>             $ make CURLDIR=/usr install prefix=/custom/location
> 
>         * The build did succeed but I get an error that "'https'
> helper
>         is not found"
> 
> Was anything I did, wrong?
> 
Ok, at last I was able to build git with https support using 'curl'
built from it's source. Anyways, thanks for the help, folks.

> >  This is probably because you are trying to run without installing?
> 
> Nope. I'm *installing* git not using the binary wrappers.
> 
> >  Ask the "git" you built what its --exec-path is, and run "ls" on
> >  that directory to see if you have git-remote-https installed?
> >  
> 
> Obviously, I don't see any 'git-remote-https' binary in the folder to
> which I built git.
> 
> >  Trying a freshly built Git binaries without installing is done by
> >  setting GIT_EXEC_PATH to point at bin-wrappers/ directory at the
> >  top-level of your build tree (that is how our tests can run on an
> >  otherwise virgin box with no Git installed).
> > 
>